Message to plugin coders / theme coders

admin by admin in e107

The plugin manager, and the new theme manager now give you the ability to upload, unzip and install plugins and themes directly from your browser.

The plugin manager, and the new theme manager now give you the ability to upload, unzip and install plugins and themes directly from your browser. For plugins and themes to be auto-installed, the zip or tar file must be in the correct format. If your plugin or theme unzips to it's own folder with all the necessary files inside it, then your plugin / theme is compatible with the new managers. If however your plugin / theme unzips to a folder that holds a folder with the files in, it will have to be updated to work with the auto-install routines. Please make sure you update your zips and resubmit them to coders or styles before 0.7 is officially released - thanks.

To recap ->
I downloaded the bugtracker2 plugin from coders. Once unzipped a single folder that contains all the necessary plugin files inside it is created - this will be compatible.
But, I downloaded a theme called Fireze by Embrance from styles, once unzipped it contained a folder with a folder inside it, this folder contained all the theme files - this will not be compatible.

If plugins or themes are not in a compatible format they can still be used, but they will have to be manually unzipped and uploaded to your server with your ftp client.


Social Links